<template>
<div>
    <!-- Cuerpo -->
    <div class="padding-top">
      <el-header height="250px" style="margin: 0 12rem;">
        <!-- Botón regresar -->
        <div class="text-end" style="margin-bottom: 2.5rem">
          <el-button v-on:click="returnButtonModal = true" class="text-orange border-orange" style="border-width: 2px;" circle>
            <i class="el-icon-arrow-left" style="fontWeight: bold"></i>
          </el-button>          
          <span class="text-orange subtitle-styles" style="margin-left:1rem">Regresar</span>

          <!-- Modal boton de regresar  -->
          <!-- <el-dialog
            :visible.sync="returnButtonModal"
            width="40%"
            center
            :close-on-press-escape="false"
            :show-close="false"
            custom-class="dialog-orange">
            <el-row>
              <el-col :span="6" class="text-center"><img src="../../assets/images/suspicious.svg" alt="emoticon"></el-col>
              <el-col :span="18">
                <p class="fonts-bold-general" style="margin-bottom: 0.5rem">¿Estás seguro?</p>
                <p style="line-height: 22px">Si sales del formulario, la información se perderá.</p>
                <div style="margin-top: 4rem">
                  <el-button @click="returnButtonModal = false" class="bg-orange text-white border-none">Seguir aquí</el-button>              
                  <el-button @click="returnButtonModal = false" v-on:click="viewListMovies" class="border-orange text-orange" style="margin-left: 3rem;">Aceptar</el-button>
                </div>
              </el-col>
            </el-row>
          </el-dialog> -->

        <AppModalReturn :show-dialog.sync="returnButtonModal" v-if="returnButtonModal" v-on:btnEvent="returnButtonModal = false" v-on:eventBtn="returnButtonModal = false" @eventBtn="viewListMovies">
        </AppModalReturn>


        </div>
        <!-- Título -->
          <el-card :body-style="{ padding: '10px' }" shadow="never" class="bg-gray border-none title-views">
            <el-row type="flex" justify="space-between">
              <el-col :span="12">{{ material.originalTitle.toUpperCase() }}</el-col>
              <el-col :span="12" class="text-end">REVISADO POR: RENATO NEGRINI</el-col>
            </el-row>          
          </el-card>
      </el-header>
      <el-main style="margin: 0 12rem;">
        <el-row style="margin-top:0rem">
          <el-col :span="7" :offset="1">
            <div>
              <p class="bg-dark-gray-2" style="padding:0 10px; width:6px; display:inline"></p>
              <span style="margin-left:1rem">Sin Revisar</span>
            </div>
            <div style="margin-top: 0.6rem">
              <p class="bg-green" style="padding:0 10px; width:6px; display:inline"></p>
              <span style="margin-left:1rem">Aprobado</span>
            </div>
            <div style="margin-top: 0.6rem">
              <p class="bg-red" style="padding:0 10px; width:6px; display:inline"></p>
              <span style="margin-left:1rem">Pendiente de Reposición</span>
            </div>
          </el-col>
        </el-row>
        <el-row style="margin-top:3rem" :gutter="200">
          <el-col style="margin-bottom:3rem" v-for="n in Number(material.numChapters[0].chapters)" v-bind:key="n" :span="8">
            <el-card  class="bg-gray pointer" shadow="always">
              <div @click="goToChapterFormulary(n)">
                <div class="title-styles" style="margin-bottom:1rem">CAPITULO</div>
                <div class="title-chapters" style="margin-bottom:1rem">{{ n }}</div>
              </div>
            </el-card>
          </el-col>
        </el-row>
      </el-main>
    </div>
    </div>
</template>

<script>
// @ is an alias to /src
import AppModalReturn from '@/components/AppModalReturn.vue'

export default {
  components: {
    AppModalReturn
  },
  data () {
    return {
      artisticInfo: [
        {
          mainActors: [],
          secondActors: [],
          directors: [],
          productors: [],
        }
      ],
      material: {},
      returnButtonModal: false
    }
  },
  created () {
    this.materialObj()
  },
  methods: {
    materialObj () {
      this.material = JSON.parse(this.$localStorage.get("materialNovel"))
      let arrDirector = this.material.reviewObj.arrDirector;
      let mainActors = this.material.reviewObj.mainActors;
      let secondActors = this.material.reviewObj.secondActors;
      let producers = this.material.reviewObj.arrProducer;
      this.dataConverter(arrDirector,'directors')
      this.dataConverter(mainActors,'mainActors')
      this.dataConverter(secondActors,'secondActors')
      this.dataConverter(producers,'productors')
    },
    goToChapterFormulary(n){
      let chapterInfoNov = {
        chapter: n,
        material: this.material
      }
      this.$localStorage.set('chapterInfoNov', JSON.stringify(chapterInfoNov))
      this.$router.push({name: 'revChapNovel'})
    },
    dataConverter(propertyToConvert, propertyName){
      let newArr = []
      propertyToConvert.map((el,i,arr) => {
        newArr.push({name: el})
      })
      this.artisticInfo[0][propertyName] = newArr;
    },
    viewListMovies () {
      this.$router.push({name: 'novels'})
    },
    tableRowClassName ({row, rowIndex}) {
      if (rowIndex === 0) {
        return 'bg-light-red';
      }
    }
  }
}
</script>
